Package com.independentsoft.office.drawing

# Enum Class CompoundLineType

java.lang.Object
java.lang.Enum<CompoundLineType>
com.independentsoft.office.drawing.CompoundLineType

All Implemented Interfaces:
  `Serializable`, `Comparable<CompoundLineType>`, `Constable`

public enum CompoundLineType extends Enum<CompoundLineType>
The Enum CompoundLineType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOUBLE`
  `NONE`
  `SINGLE`
  `THICK_THIN_DOUBLE`
  `THIN_THICK_DOUBLE`
  `THIN_THICK_THIN_TRIPLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CompoundLineType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CompoundLineType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOUBLE

    public static final CompoundLineType DOUBLE

  - ### SINGLE

    public static final CompoundLineType SINGLE

  - ### THICK_THIN_DOUBLE

    public static final CompoundLineType THICK_THIN_DOUBLE

  - ### THIN_THICK_DOUBLE

    public static final CompoundLineType THIN_THICK_DOUBLE

  - ### THIN_THICK_THIN_TRIPLE

    public static final CompoundLineType THIN_THICK_THIN_TRIPLE

  - ### NONE

    public static final CompoundLineType NONE

- ## Method Details

  - ### values

    public static CompoundLineType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CompoundLineType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null